# Uses of Class
org.apache.lucene.queryparser.flexible.standard.nodes.PointQueryNode

Packages that use PointQueryNode
Package
Description
org.apache.lucene.queryparser.flexible.standard.nodes
Standard Lucene Query Nodes.

- ## Uses of PointQueryNode in org.apache.lucene.queryparser.flexible.standard.nodes

  Methods in org.apache.lucene.queryparser.flexible.standard.nodes with parameters of type PointQueryNode
  Modifier and Type
  Method
  Description
  `void`
  PointRangeQueryNode.`setBounds(PointQueryNode lower, PointQueryNode upper, boolean lowerInclusive, boolean upperInclusive, PointsConfig pointsConfig)`
  Sets the upper and lower bounds of this range query node and the `PointsConfig` associated with these bounds.
  Constructors in org.apache.lucene.queryparser.flexible.standard.nodes with parameters of type PointQueryNode
  Modifier
  Constructor
  Description
  ``
  `PointRangeQueryNode(PointQueryNode lower, PointQueryNode upper, boolean lowerInclusive, boolean upperInclusive, PointsConfig numericConfig)`
  Constructs a `PointRangeQueryNode` object using the given `PointQueryNode` as its bounds and `PointsConfig`.